Description: http2 support enabled
 HTTP/2 needed due to ESOUI is hidden behind CloudFlare
 .
 linion (1.0-9) jammy; urgency=high
 .
   * HTTP/2 support: client stopped working due to ESOUI behind Cloudflare
Author: Eugene E. Sorochinskiy <manager@darkguard.net>

---
The information above should follow the Patch Tagging Guidelines, please
checkout https://dep.debian.net/deps/dep3/ to learn about the format. Here
are templates for supplementary fields that you might want to add:

Origin: (upstream|backport|vendor|other), (<patch-url>|commit:<commit-id>)
Bug: <upstream-bugtracker-url>
Bug-Debian: https://bugs.debian.org/<bugnumber>
Bug-Ubuntu: https://launchpad.net/bugs/<bugnumber>
Forwarded: (no|not-needed|<patch-forwarded-url>)
Applied-Upstream: <version>, (<commit-url>|commit:<commid-id>)
Reviewed-By: <name and email of someone who approved/reviewed the patch>
Last-Update: 2024-10-23

--- linion-1.0.orig/QAddonListModel.cpp
+++ linion-1.0/QAddonListModel.cpp
@@ -759,7 +759,10 @@ void QAddonListModel::reinstallAddonClic
         });
         emit percent(0, 100, tr("Downloading from site"));
         QNetworkRequest &&request = QNetworkRequest(QUrl(downPath));
+
         request.setAttribute(QNetworkRequest::RedirectPolicyAttribute, QNetworkRequest::NoLessSafeRedirectPolicy);
+        request.setAttribute(QNetworkRequest::Http2AllowedAttribute, true);
+        
         QNetworkReply *cRep = tmpRedirectManager->get(request);
         connect(cRep, &QNetworkReply::readyRead, this, [=]() {
             if (file && file->isOpen()) {
--- linion-1.0.orig/aboutdialog.ui
+++ linion-1.0/aboutdialog.ui
@@ -29,7 +29,7 @@
 p, li { white-space: pre-wrap; }
 &lt;/style&gt;&lt;/head&gt;&lt;body style=&quot; font-family:'Droid Sans Fallback'; font-size:11pt; font-weight:400; font-style:normal;&quot;&gt;
 &lt;p style=&quot; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;&quot;&gt;This application is a lightweight addon manager for TESO. Simply a bit faster than its Java big brother. Created and tested on Ubuntu Linux for those playing TESO using WINE.&lt;br /&gt;Author: @esorochinskiy&lt;br /&gt;Special thanks to:&lt;br /&gt;Good Game Mods, LLC&lt;br /&gt;&lt;br /&gt;The software is distributed under &lt;a href=&quot;https://www.gnu.org/licenses/gpl-3.0.html&quot;&gt;&lt;span style=&quot; text-decoration: underline; color:#1d99f3;&quot;&gt;GPL V3&lt;/span&gt;&lt;/a&gt;&lt;/p&gt;
-&lt;p style=&quot; margin-top:12px; margin-bottom:12px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;&quot;&gt;Source code is available on &lt;a href=&quot;https://github.com/darthtenebrus/linion&quot;&gt;&lt;span style=&quot; text-decoration: underline; color:#1d99f3;&quot;&gt;GitHub&lt;/span&gt;&lt;/a&gt;&lt;/p&gt;&lt;/body&gt;&lt;/html&gt;</string>
+&lt;p style=&quot; margin-top:12px; margin-bottom:12px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;&quot;&gt;Source code is available on &lt;a href=&quot;https://gitverse.ru/esorochinskiy/linion&quot;&gt;&lt;span style=&quot; text-decoration: underline; color:#1d99f3;&quot;&gt;GitVerse&lt;/span&gt;&lt;/a&gt;&lt;/p&gt;&lt;/body&gt;&lt;/html&gt;</string>
      </property>
      <property name="openExternalLinks">
       <bool>true</bool>
--- linion-1.0.orig/mainwindow_de.ts
+++ linion-1.0/mainwindow_de.ts
@@ -7,7 +7,7 @@
         <location filename="aboutdialog.ui" line="17"/>
         <location filename="obj-x86_64-linux-gnu/linion_autogen/include/ui_aboutdialog.h" line="80"/>
         <source>About This Application</source>
-        <translation>Über diese App</translation>
+        <translation type="unfinished"></translation>
     </message>
     <message>
         <location filename="aboutdialog.ui" line="27"/>
@@ -17,19 +17,14 @@
 p, li { white-space: pre-wrap; }
 &lt;/style&gt;&lt;/head&gt;&lt;body style=&quot; font-family:&apos;Droid Sans Fallback&apos;; font-size:11pt; font-weight:400; font-style:normal;&quot;&gt;
 &lt;p style=&quot; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;&quot;&gt;This application is a lightweight addon manager for TESO. Simply a bit faster than its Java big brother. Created and tested on Ubuntu Linux for those playing TESO using WINE.&lt;br /&gt;Author: @esorochinskiy&lt;br /&gt;Special thanks to:&lt;br /&gt;Good Game Mods, LLC&lt;br /&gt;&lt;br /&gt;The software is distributed under &lt;a href=&quot;https://www.gnu.org/licenses/gpl-3.0.html&quot;&gt;&lt;span style=&quot; text-decoration: underline; color:#1d99f3;&quot;&gt;GPL V3&lt;/span&gt;&lt;/a&gt;&lt;/p&gt;
-&lt;p style=&quot; margin-top:12px; margin-bottom:12px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;&quot;&gt;Source code is available on &lt;a href=&quot;https://github.com/darthtenebrus/linion&quot;&gt;&lt;span style=&quot; text-decoration: underline; color:#1d99f3;&quot;&gt;GitHub&lt;/span&gt;&lt;/a&gt;&lt;/p&gt;&lt;/body&gt;&lt;/html&gt;</source>
-        <translation>&lt;!DOCTYPE HTML PUBLIC &quot;-//W3C//DTD HTML 4.0//EN&quot; &quot;http://www.w3.org/TR/REC-html40/strict.dtd&quot;&gt;
-&lt;html&gt;&lt;head&gt;&lt;meta name=&quot;qrichtext&quot; content=&quot;1&quot; /&gt;&lt;style type=&quot;text/css&quot;&gt;
-p, li { white-space: pre-wrap; }
-&lt;/style&gt;&lt;/head&gt;&lt;body style=&quot; font-family:&apos;Droid Sans Fallback&apos;; font-size:11pt; font-weight:400; font-style:normal;&quot;&gt;
-&lt;p style=&quot; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;&quot;&gt;Das ist ein Leichtgewichtsaddon manager für TESO. Etwas schneller als ihr Java Bruder. Eingestellt und getestet auf Ubuntu Linux für TESO WINE Spieler.&lt;br /&gt;Autor: @esorochinskiy&lt;br /&gt;Danke schön:&lt;br /&gt;Good Game Mods, LLC&lt;br /&gt;&lt;br /&gt;Das App ist unter &lt;a href=&quot;https://www.gnu.org/licenses/gpl-3.0.html&quot;&gt;&lt;span style=&quot; text-decoration: underline; color:#1d99f3;&quot;&gt;GPL V3 verteilt&lt;/span&gt;&lt;/a&gt;&lt;/p&gt;
-&lt;p style=&quot; margin-top:12px; margin-bottom:12px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;&quot;&gt;Source code liegt auf &lt;a href=&quot;https://github.com/darthtenebrus/linion&quot;&gt;&lt;span style=&quot; text-decoration: underline; color:#1d99f3;&quot;&gt;GitHub&lt;/span&gt;&lt;/a&gt;&lt;/p&gt;&lt;/body&gt;&lt;/html&gt;</translation>
+&lt;p style=&quot; margin-top:12px; margin-bottom:12px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;&quot;&gt;Source code is available on &lt;a href=&quot;https://gitverse.ru/esorochinskiy/linion&quot;&gt;&lt;span style=&quot; text-decoration: underline; color:#1d99f3;&quot;&gt;GitVerse&lt;/span&gt;&lt;/a&gt;&lt;/p&gt;&lt;/body&gt;&lt;/html&gt;</source>
+        <translation type="unfinished"></translation>
     </message>
     <message>
         <location filename="aboutdialog.ui" line="75"/>
         <location filename="obj-x86_64-linux-gnu/linion_autogen/include/ui_aboutdialog.h" line="88"/>
         <source>Close</source>
-        <translation>Schließen</translation>
+        <translation type="unfinished"></translation>
     </message>
 </context>
 <context>
@@ -38,31 +33,25 @@ p, li { white-space: pre-wrap; }
         <location filename="configdialog.ui" line="17"/>
         <location filename="obj-x86_64-linux-gnu/linion_autogen/include/ui_configdialog.h" line="322"/>
         <source>Application Settings</source>
-        <translation>App Einstellungen</translation>
+        <translation type="unfinished"></translation>
     </message>
     <message>
         <location filename="configdialog.ui" line="114"/>
         <location filename="obj-x86_64-linux-gnu/linion_autogen/include/ui_configdialog.h" line="327"/>
         <source>App Paths</source>
-        <translation>App-Pfad</translation>
+        <translation type="unfinished"></translation>
     </message>
     <message>
         <location filename="configdialog.ui" line="129"/>
         <location filename="obj-x86_64-linux-gnu/linion_autogen/include/ui_configdialog.h" line="329"/>
         <source>Archivers</source>
-        <translation>Archiv</translation>
+        <translation type="unfinished"></translation>
     </message>
     <message>
         <location filename="configdialog.ui" line="166"/>
         <location filename="obj-x86_64-linux-gnu/linion_autogen/include/ui_configdialog.h" line="332"/>
         <source>TESO Addons And Backup</source>
-        <translation>Sicherung</translation>
-    </message>
-    <message>
-        <location filename="configdialog.ui" line="221"/>
-        <location filename="obj-x86_64-linux-gnu/linion_autogen/include/ui_configdialog.h" line="337"/>
-        <source>TESO Addons Path</source>
-        <translation>Addonpfad</translation>
+        <translation type="unfinished"></translation>
     </message>
     <message>
         <location filename="configdialog.ui" line="175"/>
@@ -72,82 +61,88 @@ p, li { white-space: pre-wrap; }
         <location filename="obj-x86_64-linux-gnu/linion_autogen/include/ui_configdialog.h" line="334"/>
         <location filename="obj-x86_64-linux-gnu/linion_autogen/include/ui_configdialog.h" line="338"/>
         <source>...</source>
-        <translation>...</translation>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="configdialog.ui" line="201"/>
+        <location filename="obj-x86_64-linux-gnu/linion_autogen/include/ui_configdialog.h" line="335"/>
+        <source>Saved Vars Path</source>
+        <translation type="unfinished"></translation>
     </message>
     <message>
         <location filename="configdialog.ui" line="211"/>
         <location filename="obj-x86_64-linux-gnu/linion_autogen/include/ui_configdialog.h" line="336"/>
         <source>Backup Path</source>
-        <translation>Sicherungspfad</translation>
+        <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="configdialog.ui" line="201"/>
-        <location filename="obj-x86_64-linux-gnu/linion_autogen/include/ui_configdialog.h" line="335"/>
-        <source>Saved Vars Path</source>
-        <translation>Sichervariabelpfad</translation>
+        <location filename="configdialog.ui" line="221"/>
+        <location filename="obj-x86_64-linux-gnu/linion_autogen/include/ui_configdialog.h" line="337"/>
+        <source>TESO Addons Path</source>
+        <translation type="unfinished"></translation>
     </message>
     <message>
         <location filename="configdialog.ui" line="241"/>
         <location filename="obj-x86_64-linux-gnu/linion_autogen/include/ui_configdialog.h" line="339"/>
         <source>Backup Saved Vars</source>
-        <translation>Variabeln sichern</translation>
+        <translation type="unfinished"></translation>
     </message>
     <message>
         <location filename="configdialog.ui" line="280"/>
         <location filename="obj-x86_64-linux-gnu/linion_autogen/include/ui_configdialog.h" line="340"/>
         <source>Backup Archivers</source>
-        <translation>Archive sichern</translation>
+        <translation type="unfinished"></translation>
     </message>
     <message>
         <location filename="configdialog.ui" line="289"/>
         <location filename="obj-x86_64-linux-gnu/linion_autogen/include/ui_configdialog.h" line="341"/>
         <source>Do not use just copy</source>
-        <translation>Keine Archiver nur Korierung</translation>
+        <translation type="unfinished"></translation>
     </message>
     <message>
         <location filename="configdialog.ui" line="296"/>
         <location filename="obj-x86_64-linux-gnu/linion_autogen/include/ui_configdialog.h" line="342"/>
         <source>Tar</source>
-        <translation>Tar</translation>
+        <translation type="unfinished"></translation>
     </message>
     <message>
         <location filename="configdialog.ui" line="306"/>
         <location filename="obj-x86_64-linux-gnu/linion_autogen/include/ui_configdialog.h" line="343"/>
         <source>Zip</source>
-        <translation>Zip</translation>
+        <translation type="unfinished"></translation>
     </message>
     <message>
         <location filename="configdialog.ui" line="319"/>
         <location filename="obj-x86_64-linux-gnu/linion_autogen/include/ui_configdialog.h" line="344"/>
         <source>Extractors</source>
-        <translation>Schleudern</translation>
+        <translation type="unfinished"></translation>
     </message>
     <message>
         <location filename="configdialog.ui" line="340"/>
         <location filename="obj-x86_64-linux-gnu/linion_autogen/include/ui_configdialog.h" line="345"/>
         <source>Zip Extract Command</source>
-        <translation>Zip Schleuderkommand</translation>
+        <translation type="unfinished"></translation>
     </message>
     <message>
         <location filename="configdialog.ui" line="350"/>
         <location filename="obj-x86_64-linux-gnu/linion_autogen/include/ui_configdialog.h" line="346"/>
         <source>Tar Extract Command</source>
-        <translation>Tar Schleuderkommand</translation>
+        <translation type="unfinished"></translation>
     </message>
     <message>
         <location filename="configdialog.cpp" line="91"/>
         <source>Choose ESO Adddons Directory</source>
-        <translation>Wahlen Sie ESO Addonsdateiverzeichnis</translation>
+        <translation type="unfinished"></translation>
     </message>
     <message>
         <location filename="configdialog.cpp" line="103"/>
         <source>Choose Backup Directory</source>
-        <translation>Wahlen Sie ESO Sicherungsverzeichnis</translation>
+        <translation type="unfinished"></translation>
     </message>
     <message>
         <location filename="configdialog.cpp" line="130"/>
         <source>Choose Saved Vars Directory</source>
-        <translation>Wahlen Sie Sichervariabelsverzeichnis</translation>
+        <translation type="unfinished"></translation>
     </message>
 </context>
 <context>
@@ -156,49 +151,49 @@ p, li { white-space: pre-wrap; }
         <location filename="mainwindow.ui" line="20"/>
         <location filename="obj-x86_64-linux-gnu/linion_autogen/include/ui_mainwindow.h" line="259"/>
         <source>Linion Addon Manager</source>
-        <translation>Linion Addon Manager</translation>
+        <translation type="unfinished"></translation>
     </message>
     <message>
         <location filename="mainwindow.ui" line="81"/>
         <location filename="obj-x86_64-linux-gnu/linion_autogen/include/ui_mainwindow.h" line="265"/>
         <source>Backup All Installed Addons</source>
-        <translation>Alle eingerichtet sichern</translation>
+        <translation type="unfinished"></translation>
     </message>
     <message>
         <location filename="mainwindow.ui" line="87"/>
         <location filename="obj-x86_64-linux-gnu/linion_autogen/include/ui_mainwindow.h" line="267"/>
         <source>Backup Installed</source>
-        <translation>Eingerichtet sichern</translation>
+        <translation type="unfinished"></translation>
     </message>
     <message>
         <location filename="mainwindow.ui" line="122"/>
         <location filename="obj-x86_64-linux-gnu/linion_autogen/include/ui_mainwindow.h" line="268"/>
         <source>Search For Addons</source>
-        <translation>Addons Suchen</translation>
+        <translation type="unfinished"></translation>
     </message>
     <message>
         <location filename="mainwindow.ui" line="132"/>
         <location filename="obj-x86_64-linux-gnu/linion_autogen/include/ui_mainwindow.h" line="270"/>
         <source>Installed Addon List</source>
-        <translation>Installiertliste</translation>
+        <translation type="unfinished"></translation>
     </message>
     <message>
         <location filename="mainwindow.ui" line="135"/>
         <location filename="obj-x86_64-linux-gnu/linion_autogen/include/ui_mainwindow.h" line="272"/>
         <source>Installed</source>
-        <translation>Installiert</translation>
+        <translation type="unfinished"></translation>
     </message>
     <message>
         <location filename="mainwindow.ui" line="155"/>
         <location filename="obj-x86_64-linux-gnu/linion_autogen/include/ui_mainwindow.h" line="274"/>
         <source>Find More Addons To Install</source>
-        <translation>Mehr finden, zu installieren</translation>
+        <translation type="unfinished"></translation>
     </message>
     <message>
         <location filename="mainwindow.ui" line="158"/>
         <location filename="obj-x86_64-linux-gnu/linion_autogen/include/ui_mainwindow.h" line="276"/>
         <source>Find More</source>
-        <translation>Mehr finden</translation>
+        <translation type="unfinished"></translation>
     </message>
     <message>
         <location filename="mainwindow.ui" line="172"/>
@@ -208,120 +203,120 @@ p, li { white-space: pre-wrap; }
         <location filename="obj-x86_64-linux-gnu/linion_autogen/include/ui_mainwindow.h" line="280"/>
         <location filename="obj-x86_64-linux-gnu/linion_autogen/include/ui_mainwindow.h" line="282"/>
         <source>Settings</source>
-        <translation>Einstellungen</translation>
+        <translation type="unfinished"></translation>
     </message>
     <message>
         <location filename="mainwindow.ui" line="316"/>
         <location filename="obj-x86_64-linux-gnu/linion_autogen/include/ui_mainwindow.h" line="281"/>
         <source>Help</source>
-        <translation>Helfen</translation>
+        <translation type="unfinished"></translation>
     </message>
     <message>
         <location filename="mainwindow.ui" line="336"/>
         <location filename="obj-x86_64-linux-gnu/linion_autogen/include/ui_mainwindow.h" line="260"/>
         <source>About Qt</source>
-        <translation>Über Qt</translation>
+        <translation type="unfinished"></translation>
     </message>
     <message>
         <location filename="mainwindow.ui" line="341"/>
         <location filename="obj-x86_64-linux-gnu/linion_autogen/include/ui_mainwindow.h" line="261"/>
         <source>Application Settings</source>
-        <translation>App Einstellungen</translation>
+        <translation type="unfinished"></translation>
     </message>
     <message>
         <location filename="mainwindow.ui" line="346"/>
         <location filename="obj-x86_64-linux-gnu/linion_autogen/include/ui_mainwindow.h" line="262"/>
         <source>About this application</source>
-        <translation>Über diese App</translation>
+        <translation type="unfinished"></translation>
     </message>
     <message>
         <location filename="mainwindow.ui" line="351"/>
         <location filename="obj-x86_64-linux-gnu/linion_autogen/include/ui_mainwindow.h" line="263"/>
         <source>Show Terminal Output</source>
-        <translation>Terminalausgang zeigen</translation>
+        <translation type="unfinished"></translation>
     </message>
     <message>
         <location filename="mainwindow.cpp" line="27"/>
         <location filename="mainwindow.cpp" line="302"/>
         <source>Installed Addons List</source>
-        <translation>Installiertliste</translation>
+        <translation type="unfinished"></translation>
     </message>
     <message>
         <location filename="mainwindow.cpp" line="36"/>
         <source>Backup</source>
-        <translation>Sichern</translation>
+        <translation type="unfinished"></translation>
     </message>
     <message>
         <location filename="mainwindow.cpp" line="39"/>
         <source>Restore</source>
-        <translation>Wiederherstellen</translation>
+        <translation type="unfinished"></translation>
     </message>
     <message>
         <location filename="mainwindow.cpp" line="40"/>
         <location filename="mainwindow.cpp" line="305"/>
         <source>Reinstall Or Update</source>
-        <translation>Wiederinstallieren oder aktualisieren</translation>
+        <translation type="unfinished"></translation>
     </message>
     <message>
         <location filename="mainwindow.cpp" line="41"/>
         <source>Uninstall</source>
-        <translation>Deinstallieren</translation>
+        <translation type="unfinished"></translation>
     </message>
     <message>
         <location filename="mainwindow.cpp" line="42"/>
         <source>Visit Web site</source>
-        <translation>Web-Seite besuchen</translation>
+        <translation type="unfinished"></translation>
     </message>
     <message>
         <location filename="mainwindow.cpp" line="56"/>
         <source>Processing: %p%</source>
-        <translation>Bearbeitet: %p%</translation>
+        <translation type="unfinished"></translation>
     </message>
     <message>
         <location filename="mainwindow.cpp" line="111"/>
         <source>Addons available</source>
-        <translation>Addons lieferbar</translation>
+        <translation type="unfinished"></translation>
     </message>
     <message>
         <location filename="mainwindow.cpp" line="114"/>
         <source>Install</source>
-        <translation>Installieren</translation>
+        <translation type="unfinished"></translation>
     </message>
     <message>
         <location filename="mainwindow.cpp" line="177"/>
         <source>Local Description</source>
-        <translation>Lokalbeschreibung</translation>
+        <translation type="unfinished"></translation>
     </message>
     <message>
         <location filename="mainwindow.cpp" line="177"/>
         <source>Remote Description</source>
-        <translation>Seitebeschreibung</translation>
+        <translation type="unfinished"></translation>
     </message>
     <message>
         <location filename="mainwindow.cpp" line="181"/>
         <source>Version: %1</source>
-        <translation>Version: %1</translation>
+        <translation type="unfinished"></translation>
     </message>
     <message>
         <location filename="mainwindow.cpp" line="182"/>
         <source>Author: %1</source>
-        <translation>Autor: %1</translation>
+        <translation type="unfinished"></translation>
     </message>
     <message>
         <location filename="mainwindow.cpp" line="199"/>
         <source>Information</source>
-        <translation>Informazion</translation>
+        <translation type="unfinished"></translation>
     </message>
     <message>
         <location filename="mainwindow.cpp" line="200"/>
         <source>Unable to locate addons. Do you want to open the settings dialog and choose the path to the addons folder yourself?</source>
-        <translation>Kann keine Addons gefunden. Möchten Sie das Einstellungsdialog öffnen und den Dateiverzeichnispfad selbst wahlen?</translation>
+        <translation type="unfinished"></translation>
     </message>
     <message>
         <location filename="mainwindow.cpp" line="242"/>
         <location filename="mainwindow.cpp" line="253"/>
         <source>All completed</source>
-        <translation>Alles fertiggestellt</translation>
+        <translation type="unfinished"></translation>
     </message>
 </context>
 <context>
@@ -329,48 +324,48 @@ p, li { white-space: pre-wrap; }
     <message>
         <location filename="QAddonListModel.cpp" line="87"/>
         <source>Not installed</source>
-        <translation>Nicht installiert</translation>
+        <translation type="unfinished"></translation>
     </message>
     <message>
         <location filename="QAddonListModel.cpp" line="89"/>
         <source>Installed, Not backed up</source>
-        <translation>Installiert, Keine Sicherung</translation>
+        <translation type="unfinished"></translation>
     </message>
     <message>
         <location filename="QAddonListModel.cpp" line="91"/>
         <source>Installed. Backed up</source>
-        <translation>Installiert, Gesichert</translation>
+        <translation type="unfinished"></translation>
     </message>
     <message>
         <location filename="QAddonListModel.cpp" line="177"/>
         <source>No description</source>
-        <translation>Keine Beschreibung</translation>
+        <translation type="unfinished"></translation>
     </message>
     <message>
         <location filename="QAddonListModel.cpp" line="178"/>
         <source>Unknown Author</source>
-        <translation>Ungeklärter Autor</translation>
+        <translation type="unfinished"></translation>
     </message>
     <message>
         <location filename="QAddonListModel.cpp" line="179"/>
         <source>Unknown Title</source>
-        <translation>Ungeklärter Titel</translation>
+        <translation type="unfinished"></translation>
     </message>
     <message>
         <location filename="QAddonListModel.cpp" line="181"/>
         <source>Unknown Version</source>
-        <translation>Ungeklärte Version</translation>
+        <translation type="unfinished"></translation>
     </message>
     <message>
         <location filename="QAddonListModel.cpp" line="218"/>
         <source>Refresh</source>
-        <translation>Aktualisieren</translation>
+        <translation type="unfinished"></translation>
     </message>
     <message>
         <location filename="QAddonListModel.cpp" line="269"/>
         <location filename="QAddonListModel.cpp" line="275"/>
         <source>Updating</source>
-        <translation>Aktualisierung ein</translation>
+        <translation type="unfinished"></translation>
     </message>
     <message>
         <location filename="QAddonListModel.cpp" line="326"/>
@@ -379,44 +374,44 @@ p, li { white-space: pre-wrap; }
         <location filename="QAddonListModel.cpp" line="466"/>
         <location filename="QAddonListModel.cpp" line="683"/>
         <source>Info</source>
-        <translation>Info</translation>
+        <translation type="unfinished"></translation>
     </message>
     <message>
         <location filename="QAddonListModel.cpp" line="327"/>
         <source>Do you really want to delete this addon: %1?</source>
-        <translation>Möchten Sie wirklich dieses Addon löschen: %1?</translation>
+        <translation type="unfinished"></translation>
     </message>
     <message>
         <location filename="QAddonListModel.cpp" line="343"/>
         <source>Do you want to make a backup of all installed addons?</source>
-        <translation>Möchten Sie wirklich alle installierte Addons sicherkopieren?</translation>
+        <translation type="unfinished"></translation>
     </message>
     <message>
         <location filename="QAddonListModel.cpp" line="352"/>
         <source>Backing up</source>
-        <translation>Sicherung ein</translation>
+        <translation type="unfinished"></translation>
     </message>
     <message>
         <location filename="QAddonListModel.cpp" line="370"/>
         <source>Do you want to backup this addon: %1?</source>
-        <translation>Möchten Sie wirklich dieses Addon sichern: %1?</translation>
+        <translation type="unfinished"></translation>
     </message>
     <message>
         <location filename="QAddonListModel.cpp" line="378"/>
         <location filename="QAddonListModel.cpp" line="380"/>
         <source>Backing up single addon</source>
-        <translation>Addonsicherung ein</translation>
+        <translation type="unfinished"></translation>
     </message>
     <message>
         <location filename="QAddonListModel.cpp" line="467"/>
         <source>Do you want to restore this addon: %1?</source>
-        <translation>Möchten Sie wirklich dieses Addon wiederherstellen: %1?</translation>
+        <translation type="unfinished"></translation>
     </message>
     <message>
         <location filename="QAddonListModel.cpp" line="475"/>
         <location filename="QAddonListModel.cpp" line="477"/>
         <source>Restoring single addon</source>
-        <translation>Addon-Wiederherstellung ein</translation>
+        <translation type="unfinished"></translation>
     </message>
     <message>
         <location filename="QAddonListModel.cpp" line="617"/>
@@ -424,49 +419,49 @@ p, li { white-space: pre-wrap; }
         <location filename="QAddonListModel.cpp" line="710"/>
         <location filename="QAddonListModel.cpp" line="752"/>
         <source>Fatal</source>
-        <translation>Fatal</translation>
+        <translation type="unfinished"></translation>
     </message>
     <message>
         <location filename="QAddonListModel.cpp" line="629"/>
         <location filename="QAddonListModel.cpp" line="641"/>
         <source>Processing downloaded data</source>
-        <translation>Dateidowngeloadetbearbeitung ein</translation>
+        <translation type="unfinished"></translation>
     </message>
     <message>
         <location filename="QAddonListModel.cpp" line="646"/>
         <source>Invalid data</source>
-        <translation>Datei ist ungeklärt</translation>
+        <translation type="unfinished"></translation>
     </message>
     <message>
         <location filename="QAddonListModel.cpp" line="655"/>
         <source>Updating data</source>
-        <translation>Dataaktualisierung ein</translation>
+        <translation type="unfinished"></translation>
     </message>
     <message>
         <location filename="QAddonListModel.cpp" line="682"/>
         <source>install</source>
-        <translation>installieren</translation>
+        <translation type="unfinished"></translation>
     </message>
     <message>
         <location filename="QAddonListModel.cpp" line="682"/>
         <source>update or reinstall</source>
-        <translation>Wiederinstallieren oder aktualisieren</translation>
+        <translation type="unfinished"></translation>
     </message>
     <message>
         <location filename="QAddonListModel.cpp" line="684"/>
         <source>Do you really want to %1 this addon: %2?</source>
-        <translation>Möchten Sie wirklich dieses Addon %1: %2?</translation>
+        <translation type="unfinished"></translation>
     </message>
     <message>
         <location filename="QAddonListModel.cpp" line="711"/>
         <source>I/O error</source>
-        <translation>E/A Fehler</translation>
+        <translation type="unfinished"></translation>
     </message>
     <message>
         <location filename="QAddonListModel.cpp" line="760"/>
-        <location filename="QAddonListModel.cpp" line="792"/>
+        <location filename="QAddonListModel.cpp" line="795"/>
         <source>Downloading from site</source>
-        <translation>Seitedateidowngeloadung ein</translation>
+        <translation type="unfinished"></translation>
     </message>
 </context>
 <context>
@@ -474,57 +469,57 @@ p, li { white-space: pre-wrap; }
     <message>
         <location filename="main.cpp" line="31"/>
         <source>TESO addon manager</source>
-        <translation>TESO Addon Manager</translation>
+        <translation type="unfinished"></translation>
     </message>
     <message>
         <location filename="main.cpp" line="32"/>
         <source>Created by: </source>
-        <translation>Erstellt von: </translation>
+        <translation type="unfinished"></translation>
     </message>
     <message>
         <location filename="main.cpp" line="36"/>
         <source>Usage %1 [options]</source>
-        <translation>Benutzen%1 [Optionen]</translation>
+        <translation type="unfinished"></translation>
     </message>
     <message>
         <location filename="main.cpp" line="38"/>
         <source>Valid options:</source>
-        <translation>Gültige Optionen:</translation>
+        <translation type="unfinished"></translation>
     </message>
     <message>
         <location filename="main.cpp" line="39"/>
         <source>show this help</source>
-        <translation>Dieses Helfen anzeigen</translation>
+        <translation type="unfinished"></translation>
     </message>
     <message>
         <location filename="main.cpp" line="40"/>
         <source>display version</source>
-        <translation>Version anzeigen</translation>
+        <translation type="unfinished"></translation>
     </message>
     <message>
         <location filename="main.cpp" line="45"/>
         <source>Unknown option %1</source>
-        <translation>Ungeklärte Option %1</translation>
+        <translation type="unfinished"></translation>
     </message>
     <message>
         <location filename="main.cpp" line="46"/>
         <source>Launch %1 -h or %1 --help for help</source>
-        <translation>Start %1 -h oder %1 --help für das Helfe</translation>
+        <translation type="unfinished"></translation>
     </message>
     <message>
         <location filename="main.cpp" line="50"/>
         <source>Launch this application without any parameters to see its main functional</source>
-        <translation>Start diese App mit keine Optionen, um ihre Hauptfunktion zu benutzen</translation>
+        <translation type="unfinished"></translation>
     </message>
     <message>
         <location filename="main.cpp" line="84"/>
         <source>Already Running</source>
-        <translation>Läuft bereits</translation>
+        <translation type="unfinished"></translation>
     </message>
     <message>
         <location filename="main.cpp" line="85"/>
         <source>Linion Already Running</source>
-        <translation>Läuft bereits</translation>
+        <translation type="unfinished"></translation>
     </message>
 </context>
 <context>
@@ -532,22 +527,22 @@ p, li { white-space: pre-wrap; }
     <message>
         <location filename="QvObjectDelegate.cpp" line="64"/>
         <source>Version: %1</source>
-        <translation>Version: %1</translation>
+        <translation type="unfinished"></translation>
     </message>
     <message>
         <location filename="QvObjectDelegate.cpp" line="74"/>
         <source>Created by: %1</source>
-        <translation>Erstellt von: %1</translation>
+        <translation type="unfinished"></translation>
     </message>
     <message>
         <location filename="QvObjectDelegate.h" line="36"/>
         <source>Install</source>
-        <translation>Installieren</translation>
+        <translation type="unfinished"></translation>
     </message>
     <message>
         <location filename="QvObjectDelegate.h" line="37"/>
         <source>Update Available</source>
-        <translation>Aktualisierung lieferbar</translation>
+        <translation type="unfinished"></translation>
     </message>
 </context>
 <context>
@@ -556,13 +551,13 @@ p, li { white-space: pre-wrap; }
         <location filename="terminalwindow.ui" line="14"/>
         <location filename="obj-x86_64-linux-gnu/linion_autogen/include/ui_terminalwindow.h" line="77"/>
         <source>Terminal Output</source>
-        <translation>Terminalausgang</translation>
+        <translation type="unfinished"></translation>
     </message>
     <message>
         <location filename="terminalwindow.ui" line="54"/>
         <location filename="obj-x86_64-linux-gnu/linion_autogen/include/ui_terminalwindow.h" line="78"/>
         <source>Close</source>
-        <translation>Schließen</translation>
+        <translation type="unfinished"></translation>
     </message>
 </context>
 </TS>
--- linion-1.0.orig/mainwindow_ru.ts
+++ linion-1.0/mainwindow_ru.ts
@@ -7,7 +7,7 @@
         <location filename="aboutdialog.ui" line="17"/>
         <location filename="obj-x86_64-linux-gnu/linion_autogen/include/ui_aboutdialog.h" line="80"/>
         <source>About This Application</source>
-        <translation>О программе</translation>
+        <translation type="unfinished"></translation>
     </message>
     <message>
         <location filename="aboutdialog.ui" line="27"/>
@@ -17,25 +17,14 @@
 p, li { white-space: pre-wrap; }
 &lt;/style&gt;&lt;/head&gt;&lt;body style=&quot; font-family:&apos;Droid Sans Fallback&apos;; font-size:11pt; font-weight:400; font-style:normal;&quot;&gt;
 &lt;p style=&quot; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;&quot;&gt;This application is a lightweight addon manager for TESO. Simply a bit faster than its Java big brother. Created and tested on Ubuntu Linux for those playing TESO using WINE.&lt;br /&gt;Author: @esorochinskiy&lt;br /&gt;Special thanks to:&lt;br /&gt;Good Game Mods, LLC&lt;br /&gt;&lt;br /&gt;The software is distributed under &lt;a href=&quot;https://www.gnu.org/licenses/gpl-3.0.html&quot;&gt;&lt;span style=&quot; text-decoration: underline; color:#1d99f3;&quot;&gt;GPL V3&lt;/span&gt;&lt;/a&gt;&lt;/p&gt;
-&lt;p style=&quot; margin-top:12px; margin-bottom:12px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;&quot;&gt;Source code is available on &lt;a href=&quot;https://github.com/darthtenebrus/linion&quot;&gt;&lt;span style=&quot; text-decoration: underline; color:#1d99f3;&quot;&gt;GitHub&lt;/span&gt;&lt;/a&gt;&lt;/p&gt;&lt;/body&gt;&lt;/html&gt;</source>
-        <oldsource>&lt;!DOCTYPE HTML PUBLIC &quot;-//W3C//DTD HTML 4.0//EN&quot; &quot;http://www.w3.org/TR/REC-html40/strict.dtd&quot;&gt;
-&lt;html&gt;&lt;head&gt;&lt;meta name=&quot;qrichtext&quot; content=&quot;1&quot; /&gt;&lt;style type=&quot;text/css&quot;&gt;
-p, li { white-space: pre-wrap; }
-&lt;/style&gt;&lt;/head&gt;&lt;body style=&quot; font-family:&apos;Droid Sans Fallback&apos;; font-size:11pt; font-weight:400; font-style:normal;&quot;&gt;
-&lt;p style=&quot; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;&quot;&gt;This application is a lightweight addon manager for TESO. Simply a bit faster than its Java big brother. Created and tested on Ubuntu Linux for those playing TESO using WINE.&lt;br /&gt;Special thanks to:&lt;br /&gt;Good Game Mods, LLC&lt;br /&gt;&lt;br /&gt;The software is distributed under &lt;a href=&quot;https://www.gnu.org/licenses/gpl-3.0.html&quot;&gt;&lt;span style=&quot; text-decoration: underline; color:#1d99f3;&quot;&gt;GPL V3&lt;/span&gt;&lt;/a&gt;&lt;/p&gt;
-&lt;p style=&quot; margin-top:12px; margin-bottom:12px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;&quot;&gt;Source code is available on &lt;a href=&quot;https://github.com/darthtenebrus/linion&quot;&gt;&lt;span style=&quot; text-decoration: underline; color:#1d99f3;&quot;&gt;GitHub&lt;/span&gt;&lt;/a&gt;&lt;/p&gt;&lt;/body&gt;&lt;/html&gt;</oldsource>
-        <translation>&lt;!DOCTYPE HTML PUBLIC &quot;-//W3C//DTD HTML 4.0//EN&quot; &quot;http://www.w3.org/TR/REC-html40/strict.dtd&quot;&gt;
-&lt;html&gt;&lt;head&gt;&lt;meta name=&quot;qrichtext&quot; content=&quot;1&quot; /&gt;&lt;style type=&quot;text/css&quot;&gt;
-p, li { white-space: pre-wrap; }
-&lt;/style&gt;&lt;/head&gt;&lt;body style=&quot; font-family:&apos;Droid Sans Fallback&apos;; font-size:11pt; font-weight:400; font-style:normal;&quot;&gt;
-&lt;p style=&quot; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;&quot;&gt;Это приложение является более легковесным вариантом известного менеджера аддонов TESO. Чуть побыстрее своего Java-собрата. Собран и протестирован под Ubuntu Linux для тех, кто играет в TESO под WINE.&lt;br /&gt;&lt;br /&gt;Автор: @esorochinskiy&lt;br /&gt;Благодарности:&lt;br /&gt;Good Game Mods, LLC&lt;br /&gt;&lt;br /&gt;ПО распространяется под лицензией &lt;a href=&quot;https://www.gnu.org/licenses/gpl-3.0.html&quot;&gt;&lt;span style=&quot; text-decoration: underline; color:#1d99f3;&quot;&gt;GPL V3&lt;/span&gt;&lt;/a&gt;&lt;/p&gt;
-&lt;p style=&quot; margin-top:12px; margin-bottom:12px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;&quot;&gt;Исходный текст доступен на GitHub &lt;a href=&quot;https://github.com/darthtenebrus/linion&quot;&gt;&lt;span style=&quot; text-decoration: underline; color:#1d99f3;&quot;&gt;GitHub&lt;/span&gt;&lt;/a&gt;&lt;/p&gt;&lt;/body&gt;&lt;/html&gt;</translation>
+&lt;p style=&quot; margin-top:12px; margin-bottom:12px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;&quot;&gt;Source code is available on &lt;a href=&quot;https://gitverse.ru/esorochinskiy/linion&quot;&gt;&lt;span style=&quot; text-decoration: underline; color:#1d99f3;&quot;&gt;GitVerse&lt;/span&gt;&lt;/a&gt;&lt;/p&gt;&lt;/body&gt;&lt;/html&gt;</source>
+        <translation type="unfinished"></translation>
     </message>
     <message>
         <location filename="aboutdialog.ui" line="75"/>
         <location filename="obj-x86_64-linux-gnu/linion_autogen/include/ui_aboutdialog.h" line="88"/>
         <source>Close</source>
-        <translation>Закрыть</translation>
+        <translation type="unfinished"></translation>
     </message>
 </context>
 <context>
@@ -44,31 +33,25 @@ p, li { white-space: pre-wrap; }
         <location filename="configdialog.ui" line="17"/>
         <location filename="obj-x86_64-linux-gnu/linion_autogen/include/ui_configdialog.h" line="322"/>
         <source>Application Settings</source>
-        <translation>Настройки приложения</translation>
+        <translation type="unfinished"></translation>
     </message>
     <message>
         <location filename="configdialog.ui" line="114"/>
         <location filename="obj-x86_64-linux-gnu/linion_autogen/include/ui_configdialog.h" line="327"/>
         <source>App Paths</source>
-        <translation>Пути</translation>
+        <translation type="unfinished"></translation>
     </message>
     <message>
         <location filename="configdialog.ui" line="129"/>
         <location filename="obj-x86_64-linux-gnu/linion_autogen/include/ui_configdialog.h" line="329"/>
         <source>Archivers</source>
-        <translation>Архивы</translation>
+        <translation type="unfinished"></translation>
     </message>
     <message>
         <location filename="configdialog.ui" line="166"/>
         <location filename="obj-x86_64-linux-gnu/linion_autogen/include/ui_configdialog.h" line="332"/>
         <source>TESO Addons And Backup</source>
-        <translation>Аддоны и резервная копия</translation>
-    </message>
-    <message>
-        <location filename="configdialog.ui" line="221"/>
-        <location filename="obj-x86_64-linux-gnu/linion_autogen/include/ui_configdialog.h" line="337"/>
-        <source>TESO Addons Path</source>
-        <translation>Аддоны TESO</translation>
+        <translation type="unfinished"></translation>
     </message>
     <message>
         <location filename="configdialog.ui" line="175"/>
@@ -78,83 +61,88 @@ p, li { white-space: pre-wrap; }
         <location filename="obj-x86_64-linux-gnu/linion_autogen/include/ui_configdialog.h" line="334"/>
         <location filename="obj-x86_64-linux-gnu/linion_autogen/include/ui_configdialog.h" line="338"/>
         <source>...</source>
-        <translation></translation>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="configdialog.ui" line="201"/>
+        <location filename="obj-x86_64-linux-gnu/linion_autogen/include/ui_configdialog.h" line="335"/>
+        <source>Saved Vars Path</source>
+        <translation type="unfinished"></translation>
     </message>
     <message>
         <location filename="configdialog.ui" line="211"/>
         <location filename="obj-x86_64-linux-gnu/linion_autogen/include/ui_configdialog.h" line="336"/>
         <source>Backup Path</source>
-        <translation>Резервные копии</translation>
+        <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="configdialog.ui" line="201"/>
-        <location filename="obj-x86_64-linux-gnu/linion_autogen/include/ui_configdialog.h" line="335"/>
-        <source>Saved Vars Path</source>
-        <translation>Файлы переменных</translation>
+        <location filename="configdialog.ui" line="221"/>
+        <location filename="obj-x86_64-linux-gnu/linion_autogen/include/ui_configdialog.h" line="337"/>
+        <source>TESO Addons Path</source>
+        <translation type="unfinished"></translation>
     </message>
     <message>
         <location filename="configdialog.ui" line="241"/>
         <location filename="obj-x86_64-linux-gnu/linion_autogen/include/ui_configdialog.h" line="339"/>
         <source>Backup Saved Vars</source>
-        <translation>Сохранить переменные</translation>
+        <translation type="unfinished"></translation>
     </message>
     <message>
         <location filename="configdialog.ui" line="280"/>
         <location filename="obj-x86_64-linux-gnu/linion_autogen/include/ui_configdialog.h" line="340"/>
         <source>Backup Archivers</source>
-        <translation>Архивация</translation>
+        <translation type="unfinished"></translation>
     </message>
     <message>
         <location filename="configdialog.ui" line="289"/>
         <location filename="obj-x86_64-linux-gnu/linion_autogen/include/ui_configdialog.h" line="341"/>
         <source>Do not use just copy</source>
-        <oldsource>Do not use, just copy</oldsource>
-        <translation>Не использовть, только копировать</translation>
+        <translation type="unfinished"></translation>
     </message>
     <message>
         <location filename="configdialog.ui" line="296"/>
         <location filename="obj-x86_64-linux-gnu/linion_autogen/include/ui_configdialog.h" line="342"/>
         <source>Tar</source>
-        <translation>Архиватор tar</translation>
+        <translation type="unfinished"></translation>
     </message>
     <message>
         <location filename="configdialog.ui" line="306"/>
         <location filename="obj-x86_64-linux-gnu/linion_autogen/include/ui_configdialog.h" line="343"/>
         <source>Zip</source>
-        <translation>Архиватор Zip</translation>
+        <translation type="unfinished"></translation>
     </message>
     <message>
         <location filename="configdialog.ui" line="319"/>
         <location filename="obj-x86_64-linux-gnu/linion_autogen/include/ui_configdialog.h" line="344"/>
         <source>Extractors</source>
-        <translation>Распаковщики</translation>
+        <translation type="unfinished"></translation>
     </message>
     <message>
         <location filename="configdialog.ui" line="340"/>
         <location filename="obj-x86_64-linux-gnu/linion_autogen/include/ui_configdialog.h" line="345"/>
         <source>Zip Extract Command</source>
-        <translation>Распаковщик ZIP</translation>
+        <translation type="unfinished"></translation>
     </message>
     <message>
         <location filename="configdialog.ui" line="350"/>
         <location filename="obj-x86_64-linux-gnu/linion_autogen/include/ui_configdialog.h" line="346"/>
         <source>Tar Extract Command</source>
-        <translation>Распаковщик TAR</translation>
+        <translation type="unfinished"></translation>
     </message>
     <message>
         <location filename="configdialog.cpp" line="91"/>
         <source>Choose ESO Adddons Directory</source>
-        <translation>Папка с аддонами ESO</translation>
+        <translation type="unfinished"></translation>
     </message>
     <message>
         <location filename="configdialog.cpp" line="103"/>
         <source>Choose Backup Directory</source>
-        <translation>Папка для резервных копий</translation>
+        <translation type="unfinished"></translation>
     </message>
     <message>
         <location filename="configdialog.cpp" line="130"/>
         <source>Choose Saved Vars Directory</source>
-        <translation>Папка для файлов переменных</translation>
+        <translation type="unfinished"></translation>
     </message>
 </context>
 <context>
@@ -163,68 +151,49 @@ p, li { white-space: pre-wrap; }
         <location filename="mainwindow.ui" line="20"/>
         <location filename="obj-x86_64-linux-gnu/linion_autogen/include/ui_mainwindow.h" line="259"/>
         <source>Linion Addon Manager</source>
-        <translation>Менеджер аддонов Linion</translation>
+        <translation type="unfinished"></translation>
     </message>
     <message>
         <location filename="mainwindow.ui" line="81"/>
         <location filename="obj-x86_64-linux-gnu/linion_autogen/include/ui_mainwindow.h" line="265"/>
         <source>Backup All Installed Addons</source>
-        <translation>Сделать резервные копии всех установленных аддонов</translation>
+        <translation type="unfinished"></translation>
     </message>
     <message>
         <location filename="mainwindow.ui" line="87"/>
         <location filename="obj-x86_64-linux-gnu/linion_autogen/include/ui_mainwindow.h" line="267"/>
         <source>Backup Installed</source>
-        <oldsource>Backup Installed Addons</oldsource>
-        <translation>Сохранить установленные</translation>
+        <translation type="unfinished"></translation>
     </message>
     <message>
         <location filename="mainwindow.ui" line="122"/>
         <location filename="obj-x86_64-linux-gnu/linion_autogen/include/ui_mainwindow.h" line="268"/>
         <source>Search For Addons</source>
-        <translation>Поиск Аддонов</translation>
+        <translation type="unfinished"></translation>
     </message>
     <message>
         <location filename="mainwindow.ui" line="132"/>
         <location filename="obj-x86_64-linux-gnu/linion_autogen/include/ui_mainwindow.h" line="270"/>
         <source>Installed Addon List</source>
-        <translation>Список уже установленых аддонов</translation>
+        <translation type="unfinished"></translation>
     </message>
     <message>
         <location filename="mainwindow.ui" line="135"/>
         <location filename="obj-x86_64-linux-gnu/linion_autogen/include/ui_mainwindow.h" line="272"/>
         <source>Installed</source>
-        <translation>Установленные</translation>
+        <translation type="unfinished"></translation>
     </message>
     <message>
         <location filename="mainwindow.ui" line="155"/>
         <location filename="obj-x86_64-linux-gnu/linion_autogen/include/ui_mainwindow.h" line="274"/>
         <source>Find More Addons To Install</source>
-        <translation>Поиск аддонов для установки</translation>
+        <translation type="unfinished"></translation>
     </message>
     <message>
         <location filename="mainwindow.ui" line="158"/>
         <location filename="obj-x86_64-linux-gnu/linion_autogen/include/ui_mainwindow.h" line="276"/>
         <source>Find More</source>
-        <translation>Найти еще</translation>
-    </message>
-    <message>
-        <location filename="mainwindow.ui" line="316"/>
-        <location filename="obj-x86_64-linux-gnu/linion_autogen/include/ui_mainwindow.h" line="281"/>
-        <source>Help</source>
-        <translation>Помощь</translation>
-    </message>
-    <message>
-        <location filename="mainwindow.ui" line="346"/>
-        <location filename="obj-x86_64-linux-gnu/linion_autogen/include/ui_mainwindow.h" line="262"/>
-        <source>About this application</source>
-        <translation>О программе</translation>
-    </message>
-    <message>
-        <location filename="mainwindow.ui" line="351"/>
-        <location filename="obj-x86_64-linux-gnu/linion_autogen/include/ui_mainwindow.h" line="263"/>
-        <source>Show Terminal Output</source>
-        <translation>Показать вывод внешних процесссов</translation>
+        <translation type="unfinished"></translation>
     </message>
     <message>
         <location filename="mainwindow.ui" line="172"/>
@@ -234,152 +203,169 @@ p, li { white-space: pre-wrap; }
         <location filename="obj-x86_64-linux-gnu/linion_autogen/include/ui_mainwindow.h" line="280"/>
         <location filename="obj-x86_64-linux-gnu/linion_autogen/include/ui_mainwindow.h" line="282"/>
         <source>Settings</source>
-        <translation>Настройки</translation>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="mainwindow.ui" line="316"/>
+        <location filename="obj-x86_64-linux-gnu/linion_autogen/include/ui_mainwindow.h" line="281"/>
+        <source>Help</source>
+        <translation type="unfinished"></translation>
     </message>
     <message>
         <location filename="mainwindow.ui" line="336"/>
         <location filename="obj-x86_64-linux-gnu/linion_autogen/include/ui_mainwindow.h" line="260"/>
         <source>About Qt</source>
-        <translation>О программе Qt</translation>
+        <translation type="unfinished"></translation>
     </message>
     <message>
         <location filename="mainwindow.ui" line="341"/>
         <location filename="obj-x86_64-linux-gnu/linion_autogen/include/ui_mainwindow.h" line="261"/>
         <source>Application Settings</source>
-        <translation>Настроить приложение</translation>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="mainwindow.ui" line="346"/>
+        <location filename="obj-x86_64-linux-gnu/linion_autogen/include/ui_mainwindow.h" line="262"/>
+        <source>About this application</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="mainwindow.ui" line="351"/>
+        <location filename="obj-x86_64-linux-gnu/linion_autogen/include/ui_mainwindow.h" line="263"/>
+        <source>Show Terminal Output</source>
+        <translation type="unfinished"></translation>
     </message>
     <message>
         <location filename="mainwindow.cpp" line="27"/>
         <location filename="mainwindow.cpp" line="302"/>
         <source>Installed Addons List</source>
-        <translation>Список установленых аддонов</translation>
+        <translation type="unfinished"></translation>
     </message>
     <message>
         <location filename="mainwindow.cpp" line="36"/>
         <source>Backup</source>
-        <translation>Сохранить</translation>
+        <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="mainwindow.cpp" line="111"/>
-        <source>Addons available</source>
-        <translation>Доступные аддоны</translation>
+        <location filename="mainwindow.cpp" line="39"/>
+        <source>Restore</source>
+        <translation type="unfinished"></translation>
     </message>
     <message>
         <location filename="mainwindow.cpp" line="40"/>
         <location filename="mainwindow.cpp" line="305"/>
         <source>Reinstall Or Update</source>
-        <oldsource>Reinstall/update</oldsource>
-        <translation>Переустановить или обновить</translation>
-    </message>
-    <message>
-        <location filename="mainwindow.cpp" line="39"/>
-        <source>Restore</source>
-        <translation>Восстановить</translation>
+        <translation type="unfinished"></translation>
     </message>
     <message>
         <location filename="mainwindow.cpp" line="41"/>
         <source>Uninstall</source>
-        <translation>Удалить</translation>
+        <translation type="unfinished"></translation>
     </message>
     <message>
         <location filename="mainwindow.cpp" line="42"/>
         <source>Visit Web site</source>
-        <translation>Перейти на сайт</translation>
+        <translation type="unfinished"></translation>
     </message>
     <message>
         <location filename="mainwindow.cpp" line="56"/>
         <source>Processing: %p%</source>
-        <translation>Обработка: %p%</translation>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="mainwindow.cpp" line="111"/>
+        <source>Addons available</source>
+        <translation type="unfinished"></translation>
     </message>
     <message>
         <location filename="mainwindow.cpp" line="114"/>
         <source>Install</source>
-        <translation>Установить</translation>
+        <translation type="unfinished"></translation>
     </message>
     <message>
         <location filename="mainwindow.cpp" line="177"/>
         <source>Local Description</source>
-        <translation>Описание из файла установки</translation>
+        <translation type="unfinished"></translation>
     </message>
     <message>
         <location filename="mainwindow.cpp" line="177"/>
         <source>Remote Description</source>
-        <translation>Описание с сайта</translation>
+        <translation type="unfinished"></translation>
     </message>
     <message>
         <location filename="mainwindow.cpp" line="181"/>
         <source>Version: %1</source>
-        <translation>Версия: %1</translation>
+        <translation type="unfinished"></translation>
     </message>
     <message>
         <location filename="mainwindow.cpp" line="182"/>
         <source>Author: %1</source>
-        <translation>Автор: %1</translation>
+        <translation type="unfinished"></translation>
     </message>
     <message>
         <location filename="mainwindow.cpp" line="199"/>
         <source>Information</source>
-        <translation>Информация</translation>
+        <translation type="unfinished"></translation>
     </message>
     <message>
         <location filename="mainwindow.cpp" line="200"/>
         <source>Unable to locate addons. Do you want to open the settings dialog and choose the path to the addons folder yourself?</source>
-        <translation>Не могу найти аддоны. Хотите открыть диалог конфигурации и указать местоположение папки с аддонами?</translation>
+        <translation type="unfinished"></translation>
     </message>
     <message>
         <location filename="mainwindow.cpp" line="242"/>
         <location filename="mainwindow.cpp" line="253"/>
         <source>All completed</source>
-        <translation>Завершено</translation>
+        <translation type="unfinished"></translation>
     </message>
 </context>
 <context>
     <name>QAddonListModel</name>
     <message>
-        <location filename="QAddonListModel.cpp" line="218"/>
-        <source>Refresh</source>
-        <translation>Обновить список</translation>
-    </message>
-    <message>
-        <location filename="QAddonListModel.cpp" line="177"/>
-        <source>No description</source>
-        <translation>Нет описания</translation>
-    </message>
-    <message>
         <location filename="QAddonListModel.cpp" line="87"/>
         <source>Not installed</source>
-        <translation>Не установлен</translation>
+        <translation type="unfinished"></translation>
     </message>
     <message>
         <location filename="QAddonListModel.cpp" line="89"/>
         <source>Installed, Not backed up</source>
-        <translation>Установлен. Нет резервной копии</translation>
+        <translation type="unfinished"></translation>
     </message>
     <message>
         <location filename="QAddonListModel.cpp" line="91"/>
         <source>Installed. Backed up</source>
-        <translation>Установлен. Есть резервная копия</translation>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="QAddonListModel.cpp" line="177"/>
+        <source>No description</source>
+        <translation type="unfinished"></translation>
     </message>
     <message>
         <location filename="QAddonListModel.cpp" line="178"/>
         <source>Unknown Author</source>
-        <translation>Автор неизвестен</translation>
+        <translation type="unfinished"></translation>
     </message>
     <message>
         <location filename="QAddonListModel.cpp" line="179"/>
         <source>Unknown Title</source>
-        <translation>Название неизвестно</translation>
+        <translation type="unfinished"></translation>
     </message>
     <message>
         <location filename="QAddonListModel.cpp" line="181"/>
         <source>Unknown Version</source>
-        <translation>Версия неизвестна</translation>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="QAddonListModel.cpp" line="218"/>
+        <source>Refresh</source>
+        <translation type="unfinished"></translation>
     </message>
     <message>
         <location filename="QAddonListModel.cpp" line="269"/>
         <location filename="QAddonListModel.cpp" line="275"/>
         <source>Updating</source>
-        <translation>Обновление</translation>
+        <translation type="unfinished"></translation>
     </message>
     <message>
         <location filename="QAddonListModel.cpp" line="326"/>
@@ -388,51 +374,44 @@ p, li { white-space: pre-wrap; }
         <location filename="QAddonListModel.cpp" line="466"/>
         <location filename="QAddonListModel.cpp" line="683"/>
         <source>Info</source>
-        <translation>Информация</translation>
+        <translation type="unfinished"></translation>
     </message>
     <message>
         <location filename="QAddonListModel.cpp" line="327"/>
         <source>Do you really want to delete this addon: %1?</source>
-        <oldsource>Do you really want to delete this addon: %1</oldsource>
-        <translation>Вы действительно хотите удалить аддон %1?</translation>
+        <translation type="unfinished"></translation>
     </message>
     <message>
         <location filename="QAddonListModel.cpp" line="343"/>
         <source>Do you want to make a backup of all installed addons?</source>
-        <translation>Вы хотите создать резервную копию установленных аддонов?</translation>
+        <translation type="unfinished"></translation>
     </message>
     <message>
         <location filename="QAddonListModel.cpp" line="352"/>
         <source>Backing up</source>
-        <translation>Сохранение</translation>
+        <translation type="unfinished"></translation>
     </message>
     <message>
         <location filename="QAddonListModel.cpp" line="370"/>
         <source>Do you want to backup this addon: %1?</source>
-        <translation>Вы хотите создать резервную копию аддона: %1?</translation>
+        <translation type="unfinished"></translation>
     </message>
     <message>
         <location filename="QAddonListModel.cpp" line="378"/>
         <location filename="QAddonListModel.cpp" line="380"/>
         <source>Backing up single addon</source>
-        <translation>Сохранение одного аддона</translation>
+        <translation type="unfinished"></translation>
     </message>
     <message>
         <location filename="QAddonListModel.cpp" line="467"/>
         <source>Do you want to restore this addon: %1?</source>
-        <translation>Вы действительно хотите восстановить аддон %1 из резервной копии?</translation>
+        <translation type="unfinished"></translation>
     </message>
     <message>
         <location filename="QAddonListModel.cpp" line="475"/>
         <location filename="QAddonListModel.cpp" line="477"/>
         <source>Restoring single addon</source>
-        <translation>Восстанавливается из резервной копии</translation>
-    </message>
-    <message>
-        <location filename="QAddonListModel.cpp" line="629"/>
-        <location filename="QAddonListModel.cpp" line="641"/>
-        <source>Processing downloaded data</source>
-        <translation>Обработка загруженных данных</translation>
+        <translation type="unfinished"></translation>
     </message>
     <message>
         <location filename="QAddonListModel.cpp" line="617"/>
@@ -440,43 +419,49 @@ p, li { white-space: pre-wrap; }
         <location filename="QAddonListModel.cpp" line="710"/>
         <location filename="QAddonListModel.cpp" line="752"/>
         <source>Fatal</source>
-        <translation>Критическая ошибка</translation>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="QAddonListModel.cpp" line="629"/>
+        <location filename="QAddonListModel.cpp" line="641"/>
+        <source>Processing downloaded data</source>
+        <translation type="unfinished"></translation>
     </message>
     <message>
         <location filename="QAddonListModel.cpp" line="646"/>
         <source>Invalid data</source>
-        <translation>Некорректные данные</translation>
+        <translation type="unfinished"></translation>
     </message>
     <message>
         <location filename="QAddonListModel.cpp" line="655"/>
         <source>Updating data</source>
-        <translation>Обновление данных</translation>
+        <translation type="unfinished"></translation>
     </message>
     <message>
         <location filename="QAddonListModel.cpp" line="682"/>
         <source>install</source>
-        <translation>установить</translation>
+        <translation type="unfinished"></translation>
     </message>
     <message>
         <location filename="QAddonListModel.cpp" line="682"/>
         <source>update or reinstall</source>
-        <translation>обновить или переустановить</translation>
+        <translation type="unfinished"></translation>
     </message>
     <message>
         <location filename="QAddonListModel.cpp" line="684"/>
         <source>Do you really want to %1 this addon: %2?</source>
-        <translation>Вы действительно хотите %1 аддон %2?</translation>
+        <translation type="unfinished"></translation>
     </message>
     <message>
         <location filename="QAddonListModel.cpp" line="711"/>
         <source>I/O error</source>
-        <translation>Ошибка ввода/вывода</translation>
+        <translation type="unfinished"></translation>
     </message>
     <message>
         <location filename="QAddonListModel.cpp" line="760"/>
-        <location filename="QAddonListModel.cpp" line="792"/>
+        <location filename="QAddonListModel.cpp" line="795"/>
         <source>Downloading from site</source>
-        <translation>Загрузка с сайта</translation>
+        <translation type="unfinished"></translation>
     </message>
 </context>
 <context>
@@ -484,60 +469,57 @@ p, li { white-space: pre-wrap; }
     <message>
         <location filename="main.cpp" line="31"/>
         <source>TESO addon manager</source>
-        <translation>Менеджер аддонов TESO</translation>
+        <translation type="unfinished"></translation>
     </message>
     <message>
         <location filename="main.cpp" line="32"/>
         <source>Created by: </source>
-        <translation>Создан: </translation>
+        <translation type="unfinished"></translation>
     </message>
     <message>
         <location filename="main.cpp" line="36"/>
         <source>Usage %1 [options]</source>
-        <translation>Использование %1 [параметры]</translation>
+        <translation type="unfinished"></translation>
     </message>
     <message>
         <location filename="main.cpp" line="38"/>
         <source>Valid options:</source>
-        <translation>Возможные параметры:</translation>
+        <translation type="unfinished"></translation>
     </message>
     <message>
         <location filename="main.cpp" line="39"/>
         <source>show this help</source>
-        <translation>показать эту инструкцию</translation>
+        <translation type="unfinished"></translation>
     </message>
     <message>
         <location filename="main.cpp" line="40"/>
         <source>display version</source>
-        <translation>показать версию</translation>
+        <translation type="unfinished"></translation>
     </message>
     <message>
         <location filename="main.cpp" line="45"/>
         <source>Unknown option %1</source>
-        <oldsource>Unknown option %1
-
-</oldsource>
-        <translation>Неизвестный параметр %1</translation>
+        <translation type="unfinished"></translation>
     </message>
     <message>
         <location filename="main.cpp" line="46"/>
         <source>Launch %1 -h or %1 --help for help</source>
-        <translation>Запустите %1 -h или %1 --help для получения помощи</translation>
+        <translation type="unfinished"></translation>
     </message>
     <message>
         <location filename="main.cpp" line="50"/>
         <source>Launch this application without any parameters to see its main functional</source>
-        <translation>Запустите эту программу без параметров, чтобы воспользоваться ее основной функцией</translation>
+        <translation type="unfinished"></translation>
     </message>
     <message>
         <location filename="main.cpp" line="84"/>
         <source>Already Running</source>
-        <translation>Уже Запущено</translation>
+        <translation type="unfinished"></translation>
     </message>
     <message>
         <location filename="main.cpp" line="85"/>
         <source>Linion Already Running</source>
-        <translation>Приложение Linion уже запущено</translation>
+        <translation type="unfinished"></translation>
     </message>
 </context>
 <context>
@@ -545,22 +527,22 @@ p, li { white-space: pre-wrap; }
     <message>
         <location filename="QvObjectDelegate.cpp" line="64"/>
         <source>Version: %1</source>
-        <translation>Версия: %1</translation>
+        <translation type="unfinished"></translation>
     </message>
     <message>
         <location filename="QvObjectDelegate.cpp" line="74"/>
         <source>Created by: %1</source>
-        <translation>Создан: %1</translation>
+        <translation type="unfinished"></translation>
     </message>
     <message>
         <location filename="QvObjectDelegate.h" line="36"/>
         <source>Install</source>
-        <translation>Установить</translation>
+        <translation type="unfinished"></translation>
     </message>
     <message>
         <location filename="QvObjectDelegate.h" line="37"/>
         <source>Update Available</source>
-        <translation>Доступно обновление</translation>
+        <translation type="unfinished"></translation>
     </message>
 </context>
 <context>
@@ -569,13 +551,13 @@ p, li { white-space: pre-wrap; }
         <location filename="terminalwindow.ui" line="14"/>
         <location filename="obj-x86_64-linux-gnu/linion_autogen/include/ui_terminalwindow.h" line="77"/>
         <source>Terminal Output</source>
-        <translation>Терминал внешних процессов</translation>
+        <translation type="unfinished"></translation>
     </message>
     <message>
         <location filename="terminalwindow.ui" line="54"/>
         <location filename="obj-x86_64-linux-gnu/linion_autogen/include/ui_terminalwindow.h" line="78"/>
         <source>Close</source>
-        <translation>Закрыть</translation>
+        <translation type="unfinished"></translation>
     </message>
 </context>
 </TS>
--- linion-1.0.orig/version.h
+++ linion-1.0/version.h
@@ -4,6 +4,6 @@
 
 #ifndef LINION_VERSION_H
 #define LINION_VERSION_H
-#define APP_VERSION "1.0-8"
+#define APP_VERSION "1.0-9"
 
 #endif //LINION_VERSION_H
